2019-12-07 08:29 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004083BattleSquadron[All Projects] Generalpublic2019-10-04 11:43
ReporterHexaae 
Assigned ToPsygoreProject InfoBattle Squadron (Innerprise)
http://www.whdload.de/games/BattleSquadron.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
Summary0004083: Unfortunately this new slave reintroduced flickering 1p ship when firing at the
DescriptionGameVersion: english,pal
SlaveVersion: V1.7 by Psygore (23.02.2019)

Unfortunately this new slave reintroduced flickering 1p ship when firing at the bottom of the screen.
Not present with previous salve.
TagsNo tags attached.
MachineUAE
CPU68060
CPUSpeed75
ChipSetAGA
GFXCardPicasso IV
ChipMem2 MB
FastMem256MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftOther
WHDLoad18.4beta
importedyes
Attached Files
  • txt file icon BattleSquadronMan.txt (10,627 bytes) 2019-10-04 11:33 -
                              BATTLE SQUADRON 
    
               Typed in by THE DIGITAL DOC. Edited by PARASITE.
            Loot section from MD manual and re-formatted by Hexaae.
    
    
    SATIII-0845 PULSCOM BULLETIN
    IMMEDIATE NOTIFICATION: ALERT STATUS 2
    
    To: Squadron Commander/Battle Group V
    From: GALAX LUNAR HQ
    Subject: Hostage Situation
    Immediate Action: All leaves cancelled. All Pilots confined to base.
    Await orders.
    
    Date: 01/08/2400
    
    INSTEL reports that Commander Berry Mayers and Commander Lori Bergin
    are being held hostage by Barrax forces. Pulse-variable communications
    indicate that they were attacked by a Barrax Nova Cruiser at 3900
    hours S.R.T. in the Karnus Sector, 671 988 4360.
    
    The commanders were able to partially transmit a final message.  Trace
    Lok analysis follows: "ability to....invisible...limited..
    time.....fast.t..acce....brigg.ht.light..beaming us aboard..."
    
    Shorty after the attack, Inter Trak scans identified a massive energy
    source in the same sector moving toward the planet Terrainia.  It is
    believed that the hostages are being held in the inner recesses of
    that planet.
    
    Mayers and Bergin were returning from a succesful mission to Urania,
    the home planet of the Barrax Empire, and are in possession of
    information that is integral to the defense of Earth and the success
    of any future counteroffensice actions.
    
    SATIII-0845 PULSCOM BULLETIN
    EMERGENCY NOTIFICATION: ALERT STATUS 1
    
    TO: Squadron Commander/Battle Group V
    From: GALAX LUNAR HQ
    Subject: Mission Briefing
    Mission Code: C61-178DE
    Date:01/09/2400
    
    PRIMARY OBJECTIVE: Eliminate Barrax lifeforms from the planet's
    surface and subterranean emplacements.  Proceed without delay and
    begin immediate rescue efforts of the hostages.  It is imperative that
    we free commanders Mayers and Bergin before Barrax interragators are
    able to break through their psychological defenses.
    
    INSTEL Brief: Barrax activities have escalated in the Terrainian
    region for the last 10 years.  An analysis of transport patterns and
    laser scan results indicate that this planet is a major weapons
    research and development center for the Barrax Empire.  It is highly
    probable that any offensive action will be met by genetically
    engineered, biological weapons technology never before encountered in
    this galaxy.
    
    INSTEL Recommendation: A large attacking force would prove
    counterproductive, due to the 100% probability that early warning
    Barrax defenses would be alerted.  The only chance for a succesful
    rescue mission(50% confidence level) is to send a small strike force
    comprised of one or two Delta II class cruisers with stealth
    capabillity.
    
    
    
                               STARTING PLAY
    
    If you wish to speed through the introduction sequence, press mouse or
    joystick button when each new scene is displayed.
    
    STARTUP OPTIONS
        [F1]  Toggles between the mouse and joystick controller selected
    for Player 1.  Player 1 is the active player in a single player game.
    Player 1 (silver) starts on the left side of the screen in a two
    player game.
        [F2] Toggles between the mouse and joystick selection for Player
    2.  Player 2 (gold color) starts on the right side of the screen in a
    two player game.
        [F3]  Toggles the sound effects on or off.  You can play the game
    without any sound, with only sound effects, with only music or both.
        [F4]  Toggles the music on and off.
        [F5]  Toggles between one and two player modes.
    
                               GAME OPTIONS
    
    TWO PLAYER MODE
        In two-player mode, each ship has full-scrolling mobility across
    the screen.  It is not necessary for the player who starts on the left
    to remain on the left during battle.  When missile upgrades or "smart
    bomb" capsules become visible (See Acquiring Weapons), only the first
    player to catch the capsule acquires the weapon.  When you wish to
    enter a new level (see Changing Levels), both players must access the
    entry point simultaneously.
    
            *  Team Combat - In team combat, both players are working
    together to rescue cammanders Mayer and Bergin from the
    Barrax Empire.  You will have to keep track of your
    partners progress and difficulties, as well as your own, in order
    to succeed on this perilous mission.  It is recommended
    that your team carefully collect the "Nova" missile capsules
    and ensure that neither player exhaust their supply.
            *  Free-for-All Competition - During free-for-all competition
    each player is trying to collect the most points. Proceed with caution
    at entry points to new levels, because both players must enter
    simultaneously.
    
    SINGLE PLAYER MODE
            In single player mode, you won't encounter the same number of
    enemy air and ground emplacements as in two-player combat.  You will
    be using the controller selected for Player 1 on the Setup Options
    screen.  Nevertheless, it is a more difficult mission to complete as a
    single player.
    
                                 GAME PLAY
    
    CHANGING LEVELS
            You can enter the subterranean levels on Terrainia by moving
    your ship onto the entry point identified by an "Enter Here" sign.
    Care must be execised in two-player combat, because both players must
    simultaneously place their ship on the sign.
            Each time you enter a new level, the number of enemies
    increases and new weapons will be fired at your ship.  It is advisable
    to upgrade your weapons and collect additional "Nova" missilie before
    taking on the challenge of a new level.
    
    ACQUIRING WEAPONS
            You will find it difficult to succeed on your mission using
    only the weapons supplied on your Delta 1 Strike Cruiser.  New weapons
    and upgrades can be acquired on Terrainia if your combat skills are uo
    to the test (See Weapons Systems for details on weapons types).
    Previous engagements with Brrax fighters have led to the discovery
    that certain jettisoned Barrax weapons can be recovered for use by
    your spacecraft.
            Once you have destroyed specific targets, you will notice a
    rectangular capsule moving back and forth on your computer display.
    Two different capsules have been identified:
    
            [X] This glowing capsule changes color at every turn. The
    weapon you acquire or upgrade is based on the color when you catch it.
    For example, if you have captured a "red" magtorp, you can upgrade the
    weapon by capturing another red capsule.
    
            [M] This capsule is released whatever you defeat a 4-member
    Barrax fleet.  You automatically receive a "Nova" missle for capturing
    this one!
    
    JOYSTICK, MOUSE AND KEYBOARD CONTROL
            Your joystick or mouse can control the movement of you
    ship, the firing of particle beam weapons and the release of "Nova"
    smart bombs (See Startup Options).
    
            *  Your joystick/mouse controls the movement of your ship in
    eight different dirrections.  Simply move the joystick in the
    direction your want your ship to move.
            *  To fire a laser or acquired weapon, press the joystick fire
    button or the left mouse button.
            *  To fire a "Nova" smart bomb, rotate the joystick lever in a
    counterclockwise direction while holding down the fire button.
    With a mouse, press the right button to fire your "Nova."
            *  To pause the game, press "P" and "ESC."
    
    GAME PLAY AND DIFFICULTY OPTIONS
            You can change specific game play features and change the
    difficulty of the game.  Press the Spacebar when the initial options
    screen is displayed to access a submenu of options.  Highlight your
    selection and press the joystick or mouse button to select the
    following:
            *  The number of lives you possess at startup.
            *  Your initial ready weapon.
            *  The maximum number of enemy bullets.
            *  The speed of enemy bullets and missles.
            *  The time delay for enemy fire.
    
                                WEAPONS SYSTEMS
    
    You will discover 25 different weapons confiqurations in Battle
    Squadron.  As you work your way through the various levels, you will
    find find that certain weapons are best used in specific situations.
    
    "NOVA" SMART BOMB (M)
          * *       The "Nova" smart bomb is the only weapon that can
        *     *     help you out of the tightest jams.  When you've
     *           *  been backed into a corner and destruction seems
     *    | |    *  imminent, launch a "Nova" and you will destory
         /@@@\      most of the enemies on your computer screen.  Use
      *  -----  *   the joystick or mouse to fire your "Nova" in a
       *       *    specific direction.
    
            You enter the fray armed with three smart bombs.  Additional
    "Novas" can be acquired by catching the special capsule marked with an
    "M".
    
    MAGNETIC TORPS (RED)
          * *       These balls of energy are absolutely devastating, but in
       *       *    the first versions you acquire, enemy ship can slip
       *  | |  *    right through.  There are six upgrades available and the
         /@@@\      last one cuts the widest swath through Barrax defenses
         -----
    
    ANTI-MATTER PARTICLE BEAM (BLUE)
          * *
          * *
          | |       This radiant blue beam weapon is deadly and accurate,
         /@@@\      and will fire with amazing rapidity.  One of the
         -----      upgrades is the only weapon in your repetoire that
          * *       fires backward and forward at the same time. At one
          * *       level, that's a distinct advantage.  This weapon,
                    however, cuts the narrowest path through the opposition.
    
    MAGMA WAVE (ORANGE)
         ^   ^
          ^ ^
          | |       The swirling magma wave may provide the best
         /@@@\      combination of raw power, speed and accuracy.  The
         -----      width and duration of its "devastation zone" are amazing.
    
    EMERALD LASER (GREEN)
         !!!!!
         !!!!!      This laser sends the longest burst into space
          | |       after a few upgrades and fires very quickly.  Its
         /@@@\      upgrades are nevr very wide, but a single shot is
         -----      enough to annihilate most enemies.  The emerald
                    laser is favored by "hot-shots" pilots who depend on
                    decisive maneuvers and lightning reflexes to gain
                    advantage over the enemy.
    
                               LOOT AND PILLAGE
    
    You will have to commandeer enemy weapons to make it through, but you
    will also have the opportunity to capture some of the Barraxian Empire's
    wealth for Earth. Every time you destroy ceratin enemy ground
    emplacements, Barraxian jewel caches (marked by green X's) become
    exposed. Fly over them to pick them up - at the end of the level
    you get a 1000 point bonus score for each cache.
    
    
    
    txt file icon BattleSquadronMan.txt (10,627 bytes) 2019-10-04 11:33 +
  • txt file icon BattleSquadronMan1.1.txt (10,628 bytes) 2019-10-04 11:43 -
                              BATTLE SQUADRON 
    
               Typed in by THE DIGITAL DOC. Edited by PARASITE.
            Loot section from MD manual and re-formatted by Hexaae.
    
    
    SATIII-0845 PULSCOM BULLETIN
    IMMEDIATE NOTIFICATION: ALERT STATUS 2
    
    To: Squadron Commander/Battle Group V
    From: GALAX LUNAR HQ
    Subject: Hostage Situation
    Immediate Action: All leaves cancelled. All Pilots confined to base.
    Await orders.
    
    Date: 01/08/2400
    
    INSTEL reports that Commander Berry Mayers and Commander Lori Bergin
    are being held hostage by Barrax forces. Pulse-variable communications
    indicate that they were attacked by a Barrax Nova Cruiser at 3900
    hours S.R.T. in the Karnus Sector, 671 988 4360.
    
    The commanders were able to partially transmit a final message.  Trace
    Lok analysis follows: "ability to....invisible...limited..
    time.....fast.t..acce....brigg.ht.light..beaming us aboard..."
    
    Shorty after the attack, Inter Trak scans identified a massive energy
    source in the same sector moving toward the planet Terrainia.  It is
    believed that the hostages are being held in the inner recesses of
    that planet.
    
    Mayers and Bergin were returning from a succesful mission to Urania,
    the home planet of the Barrax Empire, and are in possession of
    information that is integral to the defense of Earth and the success
    of any future counteroffensice actions.
    
    SATIII-0845 PULSCOM BULLETIN
    EMERGENCY NOTIFICATION: ALERT STATUS 1
    
    TO: Squadron Commander/Battle Group V
    From: GALAX LUNAR HQ
    Subject: Mission Briefing
    Mission Code: C61-178DE
    Date:01/09/2400
    
    PRIMARY OBJECTIVE: Eliminate Barrax lifeforms from the planet's
    surface and subterranean emplacements.  Proceed without delay and
    begin immediate rescue efforts of the hostages.  It is imperative that
    we free commanders Mayers and Bergin before Barrax interragators are
    able to break through their psychological defenses.
    
    INSTEL Brief: Barrax activities have escalated in the Terrainian
    region for the last 10 years.  An analysis of transport patterns and
    laser scan results indicate that this planet is a major weapons
    research and development center for the Barrax Empire.  It is highly
    probable that any offensive action will be met by genetically
    engineered, biological weapons technology never before encountered in
    this galaxy.
    
    INSTEL Recommendation: A large attacking force would prove
    counterproductive, due to the 100% probability that early warning
    Barrax defenses would be alerted.  The only chance for a succesful
    rescue mission(50% confidence level) is to send a small strike force
    comprised of one or two Delta II class cruisers with stealth
    capabillity.
    
    
    
                               STARTING PLAY
    
    If you wish to speed through the introduction sequence, press mouse or
    joystick button when each new scene is displayed.
    
    STARTUP OPTIONS
        [F1]  Toggles between the mouse and joystick controller selected
    for Player 1.  Player 1 is the active player in a single player game.
    Player 1 (silver) starts on the left side of the screen in a two
    player game.
        [F2] Toggles between the mouse and joystick selection for Player
    2.  Player 2 (gold color) starts on the right side of the screen in a
    two player game.
        [F3]  Toggles the sound effects on or off.  You can play the game
    without any sound, with only sound effects, with only music or both.
        [F4]  Toggles the music on and off.
        [F5]  Toggles between one and two player modes.
    
                               GAME OPTIONS
    
    TWO PLAYER MODE
        In two-player mode, each ship has full-scrolling mobility across
    the screen.  It is not necessary for the player who starts on the left
    to remain on the left during battle.  When missile upgrades or "smart
    bomb" capsules become visible (See Acquiring Weapons), only the first
    player to catch the capsule acquires the weapon.  When you wish to
    enter a new level (see Changing Levels), both players must access the
    entry point simultaneously.
    
            *  Team Combat - In team combat, both players are working
    together to rescue cammanders Mayer and Bergin from the
    Barrax Empire.  You will have to keep track of your
    partners progress and difficulties, as well as your own, in order
    to succeed on this perilous mission.  It is recommended
    that your team carefully collect the "Nova" missile capsules
    and ensure that neither player exhaust their supply.
            *  Free-for-All Competition - During free-for-all competition
    each player is trying to collect the most points. Proceed with caution
    at entry points to new levels, because both players must enter
    simultaneously.
    
    SINGLE PLAYER MODE
            In single player mode, you won't encounter the same number of
    enemy air and ground emplacements as in two-player combat.  You will
    be using the controller selected for Player 1 on the Setup Options
    screen.  Nevertheless, it is a more difficult mission to complete as a
    single player.
    
                                 GAME PLAY
    
    CHANGING LEVELS
            You can enter the subterranean levels on Terrainia by moving
    your ship onto the entry point identified by an "Enter Here" sign.
    Care must be execised in two-player combat, because both players must
    simultaneously place their ship on the sign.
            Each time you enter a new level, the number of enemies
    increases and new weapons will be fired at your ship.  It is advisable
    to upgrade your weapons and collect additional "Nova" missilie before
    taking on the challenge of a new level.
    
    ACQUIRING WEAPONS
            You will find it difficult to succeed on your mission using
    only the weapons supplied on your Delta 1 Strike Cruiser.  New weapons
    and upgrades can be acquired on Terrainia if your combat skills are uo
    to the test (See Weapons Systems for details on weapons types).
    Previous engagements with Brrax fighters have led to the discovery
    that certain jettisoned Barrax weapons can be recovered for use by
    your spacecraft.
            Once you have destroyed specific targets, you will notice a
    rectangular capsule moving back and forth on your computer display.
    Two different capsules have been identified:
    
            [X] This glowing capsule changes color at every turn. The
    weapon you acquire or upgrade is based on the color when you catch it.
    For example, if you have captured a "red" magtorp, you can upgrade the
    weapon by capturing another red capsule.
    
            [M] This capsule is released whatever you defeat a 4-member
    Barrax fleet.  You automatically receive a "Nova" missle for capturing
    this one!
    
    JOYSTICK, MOUSE AND KEYBOARD CONTROL
            Your joystick or mouse can control the movement of you
    ship, the firing of particle beam weapons and the release of "Nova"
    smart bombs (See Startup Options).
    
            *  Your joystick/mouse controls the movement of your ship in
    eight different dirrections.  Simply move the joystick in the
    direction your want your ship to move.
            *  To fire a laser or acquired weapon, press the joystick fire
    button or the left mouse button.
            *  To fire a "Nova" smart bomb, rotate the joystick lever in a
    counterclockwise direction while holding down the fire button.
    With a mouse, press the right button to fire your "Nova."
            *  To pause the game, press "P" and "ESC."
    
    GAME PLAY AND DIFFICULTY OPTIONS
            You can change specific game play features and change the
    difficulty of the game.  Press the Spacebar when the initial options
    screen is displayed to access a submenu of options.  Highlight your
    selection and press the joystick or mouse button to select the
    following:
            *  The number of lives you possess at startup.
            *  Your initial ready weapon.
            *  The maximum number of enemy bullets.
            *  The speed of enemy bullets and missles.
            *  The time delay for enemy fire.
    
                                WEAPONS SYSTEMS
    
    You will discover 25 different weapons confiqurations in Battle
    Squadron.  As you work your way through the various levels, you will
    find find that certain weapons are best used in specific situations.
    
    "NOVA" SMART BOMB (M)
          * *       The "Nova" smart bomb is the only weapon that can
        *     *     help you out of the tightest jams.  When you've
     *           *  been backed into a corner and destruction seems
     *    | |    *  imminent, launch a "Nova" and you will destory
         /@@@\      most of the enemies on your computer screen.  Use
      *  -----  *   the joystick or mouse to fire your "Nova" in a
       *       *    specific direction.
    
            You enter the fray armed with three smart bombs.  Additional
    "Novas" can be acquired by catching the special capsule marked with an
    "M".
    
    MAGNETIC TORPS (RED)
          * *       These balls of energy are absolutely devastating, but in
       *       *    the first versions you acquire, enemy ship can slip
       *  | |  *    right through.  There are six upgrades available and the
         /@@@\      last one cuts the widest swath through Barrax defenses
         -----
    
    ANTI-MATTER PARTICLE BEAM (BLUE)
          * *
          * *
          | |       This radiant blue beam weapon is deadly and accurate,
         /@@@\      and will fire with amazing rapidity.  One of the
         -----      upgrades is the only weapon in your repetoire that
          * *       fires backward and forward at the same time. At one
          * *       level, that's a distinct advantage.  This weapon,
                    however, cuts the narrowest path through the opposition.
    
    MAGMA WAVE (ORANGE)
         ^   ^
          ^ ^
          | |       The swirling magma wave may provide the best
         /@@@\      combination of raw power, speed and accuracy.  The
         -----      width and duration of its "devastation zone" are amazing.
    
    EMERALD LASER (GREEN)
         !!!!!
         !!!!!      This laser sends the longest burst into space
          | |       after a few upgrades and fires very quickly.  Its
         /@@@\      upgrades are nevr very wide, but a single shot is
         -----      enough to annihilate most enemies.  The emerald
                    laser is favored by "hot-shots" pilots who depend on
                    decisive maneuvers and lightning reflexes to gain
                    advantage over the enemy.
    
                               LOOT AND PILLAGE
    
    You will have to commandeer enemy weapons to make it through, but you
    will also have the opportunity to capture some of the Barraxian Empire's
    wealth for Earth. Every time you destroy ceratin enemy ground
    emplacements, Barraxian jewel caches (marked by orange X's) become
    exposed. Fly over them to pick them up - at the end of the level
    you get a 1000 point bonus score for each cache.
    
    
    
    txt file icon BattleSquadronMan1.1.txt (10,628 bytes) 2019-10-04 11:43 +

-Relationships
+Relationships

-Notes

note ~0007090

Hexaae (reporter)

Attached revised manual.
+Notes

-Issue History
Date Modified Username Field Change
2019-02-27 14:21 administrator New Issue
2019-02-27 14:21 administrator Status new => assigned
2019-02-27 14:21 administrator Assigned To => Psygore
2019-10-04 11:33 Hexaae File Added: BattleSquadronMan.txt
2019-10-04 11:34 Hexaae Note Added: 0007090
2019-10-04 11:43 Hexaae File Added: BattleSquadronMan1.1.txt
+Issue History